DBLAT3(3)

SYNOPSIS
SUBROUTINE DBLAT3 (NOUT, KPRINT, IPASS)

NAME
dblat3 - Driver for testing Level 3 BLAS double precision subroutines.

LIBRARY
SLATEC (BLAS)

CATEGORY
A3B

TYPE
DOUBLE PRECISION (SBLAT3-S, DBLAT3-D, CBLAT3-C)

KEYWORDS
BLAS, QUICK CHECK DRIVER

AUTHOR
Dongarra, J. J., (ANL) Duff, I., (AERE) Du Croz, J., (NAG) Hammarling, S., (NAG)

DESCRIPTION
Test program for the DOUBLE Level 3 Blas.

REFERENCES
Dongarra, J., Du Croz, J., Duff, I., and Hammarling, S. A set of level 3 basic linear algebra subprograms. ACM TOMS, Vol. 16, No. 1, pp. 1-17, March 1990.

ROUTINES CALLED
DCHK13, DCHK23, DCHK33, DCHK43, DCHK53, DCHKE3, DMMCH, LDE, R1MACH, XERCLR

REVISION HISTORY (YYMMDD)
890208 DATE WRITTEN
910619 Modified to meet SLATEC code and prologue standards. (BKS)
930315 Removed unused variables. (WRB)
930618 Code modified to improve PASS/FAIL reporting. (BKS, WRB)